curl --request POST \
--url https://api.gmbapi.com/external-api/gmb/review/location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location_id": "<string>",
"store_code": "<string>",
"star_rating": 123,
"has_comment": true,
"has_reply": true,
"is_deleted": true,
"page": 123,
"per_page": 123
}
'import requests
url = "https://api.gmbapi.com/external-api/gmb/review/location"
payload = {
"location_id": "<string>",
"store_code": "<string>",
"star_rating": 123,
"has_comment": True,
"has_reply": True,
"is_deleted": True,
"page": 123,
"per_page": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
location_id: '<string>',
store_code: '<string>',
star_rating: 123,
has_comment: true,
has_reply: true,
is_deleted: true,
page: 123,
per_page: 123
})
};
fetch('https://api.gmbapi.com/external-api/gmb/review/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"success": false,
"msg": "RATE_LIMIT_EXCEEDED",
"payload": {
"allowed": false,
"limit": 200,
"remaining": 0,
"retryAfter": 123
}
}Get Location Reviews
Lists reviews for a location. Provide location_id or store_code. Default page 1, per_page 10, maximum 50.
location_id, or store_code to resolve the location. Default page is 1, per_page is 10, maximum 50.
has_media, reply, and reviewReplyState accept a single value or an array. Do not send contradictory has_reply and reply filters.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Account ID. Required when using an organization token.
Body
Fields that can be updated via Google API
Google Location Id.
Location Store Code. Can be provided in place of a Location Id.
Review rating between 1 to 5.
If review has response.
Filter by whether the review includes media. Use 1 for media present and 0 for no media. Accepts a single value or an array of values.
0, 1 Filter by whether the review has a business reply. Use 1 for replied and 0 for unreplied. Accepts a single value or an array of values.
0, 1 Filter by whether the review has a business reply. true matches replied reviews and false matches unreplied reviews.
Filter by reply state. Accepts a single state or an array of states. Valid values are PENDING, ACTIVE, and REJECTED.
PENDING, ACTIVE, REJECTED If review has been deleted from Google.
Page number.
Results per page. Default is 10. Maximum is 250
x <= 250Response
Accont Location Profile response